Bug 1382714 - Dashboard widgets don't really zoom in
Summary: Dashboard widgets don't really zoom in
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Robin Knaur
QA Contact: Dmitry Misharov
URL:
Whiteboard: dashboard
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-07 13:30 UTC by Jan Krocil
Modified: 2017-05-31 14:22 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:02 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
jkrocil: automate_bug-


Attachments (Terms of Use)
Chart widget, zoomed in (90.85 KB, image/png)
2016-10-07 13:30 UTC, Jan Krocil
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Jan Krocil 2016-10-07 13:30:32 UTC
Created attachment 1208156 [details]
Chart widget, zoomed in

Description of problem:
The widgets don't zoom in, on the contrary, if they are not the same size, they are even smaller than the original widget on the dashboard. See screenshot.

Version-Release number of selected component (if applicable):
5.7.0.4

How reproducible:
Always

Steps to Reproduce:
1. Add provider to populate default dashboard widgets
2. Zoom the widget in

Actual results:
Zoomed widget is the same size or smaller than the original.

Expected results:
Zoomed widget should be bigger and offer information in more detail.

Additional info:

Comment 5 CFME Bot 2016-11-25 21:06:14 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/a6fc195d5f66ede9c4ed096597057fab25e88c4e

commit a6fc195d5f66ede9c4ed096597057fab25e88c4e
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Wed Nov 23 14:26:11 2016 +0100
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Wed Nov 23 14:49:34 2016 +0100

    Fix Dashboard chart zoom
    https://bugzilla.redhat.com/show_bug.cgi?id=1382714

 app/assets/javascripts/miq_application.js   | 6 ++++++
 app/assets/stylesheets/template.scss        | 5 +++--
 app/helpers/c3_helper.rb                    | 1 +
 app/helpers/charting_helper.rb              | 2 +-
 app/views/dashboard/_zoomed_chart.html.haml | 2 +-
 5 files changed, 12 insertions(+), 4 deletions(-)

Comment 6 Dmitry Misharov 2017-03-03 14:31:02 UTC
Verified in 5.8.0.3.20170301174324_1e2e0c4, widget zoom works correctly.

Comment 8 errata-xmlrpc 2017-05-31 14:22:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.